<?php

namespace InSegment\WorkersFramework\Models;

use Shavshukov\EventAppBase\Model\ArrayModel;
use InSegment\WorkersFramework\Interfaces\JobHeadersInterface;

class JobHeaders extends ArrayModel implements JobHeadersInterface
{

    /**
     * Mandatory fields
     *
     * @var array
     */
    protected $mandatoryFields = ['job_name'];
    
    /**
     * {@inheritDoc}
     */
    public function getJobName(): string
    {
        return $this->get('job_name');
    }
}
